import { Token } from "../../domain";
import { IRefreshTokenResponseDTO } from "../../dto";

export interface IRefreshTokenPresenter {
  toDto: (refreshToken: Token) => IRefreshTokenResponseDTO;
}

export const refreshTokenPresenter: IRefreshTokenPresenter = {
  toDto: (refreshToken: Token): IRefreshTokenResponseDTO => {
    return {
      refresh_token: refreshToken.toString(),
    };
  },
};
